r77964 - /scripts/gen-mrconfig.sh

gregoa at users.alioth.debian.org gregoa at users.alioth.debian.org
Thu Jul 28 22:02:56 UTC 2011


Author: gregoa
Date: Thu Jul 28 22:02:53 2011
New Revision: 77964

URL: http://svn.debian.org/wsvn/?sc=1&rev=77964
Log:
adjust script to .mrconfig in meta.git

Modified:
    scripts/gen-mrconfig.sh

Modified: scripts/gen-mrconfig.sh
URL: http://svn.debian.org/wsvn/scripts/gen-mrconfig.sh?rev=77964&op=diff
==============================================================================
--- scripts/gen-mrconfig.sh (original)
+++ scripts/gen-mrconfig.sh Thu Jul 28 22:02:53 2011
@@ -30,15 +30,16 @@
         echo \"I: \$1\"
       }
       git_checkout () {
-        git clone git+ssh://git.debian.org$GIT_REPODIR\$1.git &&
-        cd \$1 &&
-        { git branch --track upstream remotes/origin/upstream || true; } &&
-        { git branch --track pristine-tar remotes/origin/pristine-tar || true; }
+        git clone git+ssh://git.debian.org/$GIT_REPODIR/\$1.git &&
+        ( cd \$1 &&
+          { git branch --track upstream remotes/origin/upstream || true; } &&
+          { git branch --track pristine-tar remotes/origin/pristine-tar || true; }
+        )
       }
 
 [.]
 checkout = git clone ssh://git.debian.org/git/pkg-perl/meta.git
-post_update = wget -q -O .git.hashes http://alioth.debian.org/~ansgar/pet2-data/pkg-perl/git-pkg-perl-packages.json
+post_update = `dirname \$MR_CONFIG`/split-json-info http://alioth.debian.org/~ansgar/pet2-data/pkg-perl/git-pkg-perl-packages.json
 
 [DEFAULT]
 skip = [ \"\$1\" = update ] && \`dirname \$MR_CONFIG\`/compare-hashes




More information about the Pkg-perl-cvs-commits mailing list